# EffectVehicle Struct Reference

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry).

More...

`#include <effectvehicle_base.h>`

Inheritance diagram for EffectVehicle:

## Public Member Functions
| EffectVehicle ()
| We don't want GCC to zero our struct! It already is zeroed and has an index!
virtual | ~EffectVehicle ()
| We want to 'destruct' the right class.
const char * | GetTypeString () const
| Get a string 'representation' of the vehicle type.
void | UpdateDeltaXY (Direction direction)
| Updates the x and y offsets and the size of the sprite used for this vehicle.
bool | Tick ()
| Calls the tick handler of the vehicle.
## Data Fields
uint16 | animation_state
byte | animation_substate

## Detailed Description

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry).

Definition at line 25 of file effectvehicle_base.h.

## Constructor & Destructor Documentation

virtual EffectVehicle::~EffectVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 32 of file effectvehicle_base.h.

## Member Function Documentation

const char* EffectVehicle::GetTypeString | ( |  | ) | const`[inline, virtual]`

Get a string 'representation' of the vehicle type.

Returns:
  the string representation.

Reimplemented from Vehicle.

Definition at line 34 of file effectvehicle_base.h.

bool EffectVehicle::Tick | ( |  | ) | `[virtual]`

Calls the tick handler of the vehicle.

Returns:
  is this vehicle still valid?

Reimplemented from Vehicle.

Definition at line 594 of file effectvehicle.cpp.

References Vehicle::subtype.

void EffectVehicle::UpdateDeltaXY | ( | Direction | direction | ) | `[virtual]`

Updates the x and y offsets and the size of the sprite used for this vehicle.

Parameters:

  | direction | the direction the vehicle is facing

Reimplemented from Vehicle.

Definition at line 599 of file effectvehicle.cpp.

The documentation for this struct was generated from the following files:

- src/effectvehicle_base.h
- src/effectvehicle.cpp